
package de.ivu.elect.presentation.person.action;

import javax.inject.Inject;

import de.ivu.elect.business.person.boundary.BerufChangeEvent;
import de.ivu.elect.business.person.entity.Beruf;
import de.ivu.elect.presentation.menu.AbstractActionEntry;
import de.ivu.elect.presentation.security.AbstractGebietSecurity;

public abstract class AbstractBerufAction extends AbstractActionEntry<Beruf> {

  private static final long serialVersionUID = 1L;

  @Inject
  BerufChangeEvent changeEvent;

  @Override
  protected void fireChangeEvent() {
    changeEvent.sendChangeEvent();
  }


  @Override
  protected AbstractGebietSecurity getGebietSecurity() {
    return KEINE_GEBIET_SECURITY;
  }
}
